plan_t Struct Reference

## Public Attributes

int | size_x
int | size_y
int | min_x
int | min_y
int | max_x
int | max_y
double | origin_x
double | origin_y
double | scale
double | des_min_radius
double | abs_min_radius
double | max_radius
double | dist_penalty
double | hysteresis_factor
plan_cell_t * | cells
float * | dist_kernel
int | dist_kernel_width
float | dist_kernel_3x3 [9]
heap_t * | heap
int | path_count
int | path_size
plan_cell_t ** | path
int | lpath_count
int | lpath_size
plan_cell_t ** | lpath
int | waypoint_count
int | waypoint_size
plan_cell_t ** | waypoints

The documentation for this struct was generated from the following file:

- plan.h

Last updated 12 September 2005 21:38:45